com.pdfunit.validators

## Class AllLayersValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.AllLayersValidator

-     @DoNotObfuscate
      public final class AllLayersValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for layers in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AllLayersValidator(DocumentValidator documentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LayerNameValidator` | `hasLayer()` This method does what the name suggests.
    `AllLayersValidator` | `hasLayers()` This method throws a PDFUnitValidationException when a PDF document has layers.
    `LayerNameValidator` | `hasOCG()` This method does what the name suggests.
    `AllLayersValidator` | `hasOCGs()` This method does what the name suggests.
    `AllLayersValidator` | `withoutDuplicateNames()` This method does what the name suggests.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllLayersValidator

          protected AllLayersValidator(DocumentValidator documentValidator)

  - ### Method Detail

    - #### withoutDuplicateNames

          public AllLayersValidator withoutDuplicateNames()

      This method does what the name suggests.

    - #### hasLayer

          public LayerNameValidator hasLayer()

      This method does what the name suggests.

    - #### hasLayers

          public AllLayersValidator hasLayers()

      This method throws a PDFUnitValidationException when a PDF document has layers.

    - #### hasOCG

          public LayerNameValidator hasOCG()

      This method does what the name suggests.

    - #### hasOCGs

          public AllLayersValidator hasOCGs()

      This method does what the name suggests.

Copyright (C) PDFUnit.com. See here for license.